Subject: New Reply Received - I am so disappointed with the services of Homebox that I had to write about my experience with Homeb...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Wed, 31 Mar 2021 12:31:05 +0000

Hi Alka Pandey,  The customer has responded to the ticket.  I am so disappointed with the services of Homebox that I had to write about my experience with Homeb...  Ticket comment <div>It has been 2 months now since I reported the issue and till date they have not processed my refund. They are saying that they can find only one night stand instead of three. They can't find 2 night stand. I told them to come and check the security cameras in the building and they will get to how many they collected. They said that they are going to send someone and check a month before and till date noone has come.. so disappointed and horrible service from Homebox Stores </div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2035998